#include "stdafx.h"
#include <math.h>

double nikel(double teplota, int pocet){

	const double R0=1000;	// pri 0 celsia!!
	double A = 5.485e-3;
	double B = 6.65e-6;
	double C = 2.802e-11;
	double D = 2.0e-17;

	if (pocet==1) { B=0;
					C=0;
					D=0;
				}

	if (pocet==2) { 	C=0;
					D=0;
				}

	if (pocet==3) { 	D=0;
				}

	teplota = teplota - 273.15;

	double odpor;
	odpor = R0*(1+A*teplota+B*pow(teplota,2)+C*pow(teplota,4)+D*pow(teplota,6));
	
	
	//vyska=int(500-(odpor*100000000000));
	
	return odpor;

}